Subject: Re: [PATCH v3 2/3] t/: port helper/test-sha1.c to unit-tests/t-hash.c

From: Junio C Hamano <[email-masked]>
Date: Mon, 17 Jun 2024 10:44:52 -0700

Jeff King <[email-masked]> writes:

> So no, git-hash-object can't be used to test this. You have to directly
> hash some contents with sha1, and I don't think there is any way to do
> that with regular Git commands.
>
> So I think we need to keep some mechanism for computing the sha1 of
> arbitrary contents.

You're right.  We'd need a separate test helper if we wanted to keep
using the shattered sample files as-is (which we do).

Thanks.